IndicatorChartsAction.IndicatorDisplaySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.IndicatorChartsAction.IndicatorDisplaySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class IndicatorChartsAction.IndicatorDisplaySummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
          org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary
              org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
                  org.hyperic.hq.bizapp.shared.uibeans.MetricDisplaySummary
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.IndicatorChartsAction.IndicatorDisplaySummary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Enclosing class:
  IndicatorChartsAction

    public class IndicatorChartsAction.IndicatorDisplaySummary

extends MetricDisplaySummary
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DELIMITER`

Fields inherited from class org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
`attrKeyList`

Constructor Summary
`` | `IndicatorChartsAction.IndicatorDisplaySummary(MetricDisplaySummary summary)`
`` | `IndicatorChartsAction.IndicatorDisplaySummary(MetricDisplaySummary summary, java.util.List<HighLowMetricValue> data)` Constructor using a summary with data
`protected` | `IndicatorChartsAction.IndicatorDisplaySummary(java.lang.String token)`

Method Summary
`AppdefEntityTypeID` | `getChildType()`
`AppdefEntityID` | `getEntityId()`
`java.util.List<HighLowMetricValue>` | `getHighLowMetrics()`
`int` | `getUnitScale()`
`int` | `getUnitUnits()`
`void` | `setChildType(AppdefEntityTypeID childType)`
`void` | `setEntityId(AppdefEntityID entityId)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MetricDisplaySummary
`getAlertCount, getOobCount, setAlertCount, setOobCount`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.BaseMetricDisplay
`compareTo, getAvgMetric, getBeginTimeFrame, getCollecting, getCollectionType, getDesignated, getDisplayUnits, getEndTimeFrame, getLastMetric, getMaxMetric, getMetric, getMetricKeys, getMetrics, getMetricSource, getMetricValueDoubles, getMinMetric, getShowNumberCollecting, getTemplateCat, getUnits, setBeginTimeFrame, setCollecting, setCollectionType, setDesignated, setDisplayUnits, setEndTimeFrame, setMetric, setMetrics, setMetricSource, setShowNumberCollecting, setTemplateCat, setUnits`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary
`asList, getAvailDown, getAvailUnknown, getAvailUp, setAvailDown, setAvailUnknown, setAvailUp`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
`getCategory, getDescription, getId, getInterval, getLabel, getName, getTemplateId, setCategory, setDescription, setInterval, setLabel, setTemplateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELIMITER

    public static final java.lang.String DELIMITER

See Also:
  Constant Field Values

Constructor Detail

### IndicatorChartsAction.IndicatorDisplaySummary

    public IndicatorChartsAction.IndicatorDisplaySummary(MetricDisplaySummary summary,
                                                         java.util.List<HighLowMetricValue> data)

  Constructor using a summary with data

  Parameters:
    `summary` - the actual data

### IndicatorChartsAction.IndicatorDisplaySummary

    public IndicatorChartsAction.IndicatorDisplaySummary(MetricDisplaySummary summary)

### IndicatorChartsAction.IndicatorDisplaySummary

    protected IndicatorChartsAction.IndicatorDisplaySummary(java.lang.String token)

Method Detail

### getChildType

    public AppdefEntityTypeID getChildType()

### setChildType

    public void setChildType(AppdefEntityTypeID childType)

### getEntityId

    public AppdefEntityID getEntityId()

### setEntityId

    public void setEntityId(AppdefEntityID entityId)

### getUnitUnits

    public int getUnitUnits()

### getUnitScale

    public int getUnitScale()

### getHighLowMetrics

    public java.util.List<HighLowMetricValue> getHighLowMetrics()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MetricDisplaySummary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.